<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg_color"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/relative"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/singerImg"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="2"
                android:scaleType="centerCrop" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="3" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="2"
                android:background="@drawable/drw_details_bg"
                android:visibility="visible" />

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="3"
                android:background="@color/black" />

        </LinearLayout>

    </RelativeLayout>

    <View
        android:id="@+id/view"
        android:layout_width="match_parent"
        android:layout_height="0dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/view"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/title_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:layout_margin="16dp"
            android:orientation="horizontal">

            <RelativeLayout
                android:id="@+id/back_btn"
                android:layout_width="42dp"
                android:layout_height="42dp"
                android:background="@drawable/drw_back_bg">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:src="@drawable/back_icon" />
            </RelativeLayout>

        </LinearLayout>

        <LinearLayout
            android:id="@+id/loadingLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:visibility="gone">

            <ProgressBar
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:indeterminateTint="@color/green"
                android:progressBackgroundTint="@color/green"
                android:progressTint="@color/green" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/no_content_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:id="@+id/no_content_iv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/no_content_img" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="32dp"
                android:layout_marginEnd="32dp"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:text="@string/content_loading_failed"
                android:textSize="14dp" />

            <TextView
                android:id="@+id/tryAgainBtn"
                android:layout_width="wrap_content"
                android:layout_height="48dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/drw_btn_bg"
                android:fontFamily="@font/medium_font"
                android:gravity="center"
                android:paddingStart="32dp"
                android:paddingEnd="32dp"
                android:text="@string/try_again"
                android:textColor="@color/black"
                android:textSize="16dp" />
        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.core.widget.NestedScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_above="@+id/play_music_layout">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:layout_marginEnd="16dp"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/singerName"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="68dp"
                            android:fontFamily="@font/medium_font"
                            android:text="@string/app_name"
                            android:textColor="@color/white"
                            android:textSize="22dp" />

                        <TextView
                            android:id="@+id/singerDesc"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="8dp"
                            android:ellipsize="end"
                            android:fontFamily="@font/regular_font"
                            android:maxLines="2"
                            android:text="@string/app_name"
                            android:textColor="@color/white_60"
                            android:textSize="14dp" />

                        <TextView
                            android:id="@+id/singerDescExpand"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="2dp"
                            android:ellipsize="end"
                            android:fontFamily="@font/regular_font"
                            android:text="@string/expand"
                            android:textColor="@color/white_60"
                            android:textSize="12dp" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/content_layout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="16dp"
                        android:layout_marginEnd="16dp"
                        android:orientation="vertical" />
                </LinearLayout>

            </androidx.core.widget.NestedScrollView>

            <LinearLayout
                android:id="@+id/play_music_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:orientation="vertical" />

        </RelativeLayout>

    </LinearLayout>

</RelativeLayout>
